import React, {useState} from 'react';
import {Image, Text, StyleSheet} from 'react-native';
import {testt} from '@caj/configs/test';

import imgSrc from '@caj/img/maimg.png';

interface User {
  name: string;
  id: number;
}

const user: User = {
  name: 'Hayes',
  id: 0,
};

const App = () => {
  const [titleText, setTitleText] = useState("Bird's Nest");
  const bodyText =
    'This is not really a bird nest. ' + user.name + ' - ' + testt.data;

  const onPressTitle = () => {
    setTitleText("Bird's Nest [pressed]");
  };

  return (
    <Text style={styles.baseText}>
      <Text style={styles.titleText} onPress={onPressTitle}>
        {titleText}
        {'\n'}
        {'\n'}
      </Text>
      <Text numberOfLines={5}>{bodyText}</Text>
      <Image source={imgSrc} style={styles.image} />
    </Text>
  );
};

const styles = StyleSheet.create({
  baseText: {
    fontFamily: 'Cochin',
  },
  titleText: {
    fontSize: 20,
    fontWeight: 'bold',
  },
  image: {
    width: 500,
    height: 500,
    borderWidth: 1,
  },
});

export default App;
